Quassel IRC - Bug #237

Mode info on the chan are missing. Add mod info on the start of the chan.
08/02/2008 11:14 AM - ZRegis

Status: Closed Start date:

Priority: Normal Due date:

Assignee: % Done: 0%
Category: Quassel Core Estimated time: 0.00 hour

Target version:
Version: 0.4.3 0S: Any

Description
Here a standard chan start from another irc client:

[INFO] Channel view for “#apache” opened.

-->| YOU (ZRegis) have joined #apache

[INFO] Conference Mode is enabled for this view; joins, leaves, quits and nickname changes are hidden.

=-= Topic for #apache is “Step one: Look in the error log || Podcasts: http://feathercast.org/ || Apache versions 2.2.9 (stable), 2.0.63
(old-stable), 1.3.41 (legacy) || Docs at http:/httpd.apache.org/docs/2.2/ || Paste to http:/apache.pastebin.ca/ || We're still not ##php”
=-= Topic for #apache was set by pquerna on samedi 14 juin 2008 01:10:35

[INFO] This channel requires that you have registered and identified yourself with the network’s nickname registration services (e.g.
NickServ). Please see the documentation of this network's nickname registration services that should be found in the MOTD (/motd
to display it).

ChanServ [#apache] Welcome, this is #apache. Please read the in-channel topic message. This channel is being logged by
IRSeekBot. If you have any question please see hitp://blog.freenode.net/?p=68

History

#1 - 08/02/2008 11:57 AM - EgS

Interesting... never seen that before.

Have you any further information about this? What is needed to get these infos? Issue a special irc command? msg a service?
#2 - 08/13/2008 04:43 PM - ZRegis

Sorry for the delay ,i've missed that.

It's a ChatZilla feature using the mode list.

#3 - 08/13/2008 05:12 PM - EgS

| have to say, that | don't really understand this BR. At first | thought that thouse "[INFO]" messages are some IRC-Feature, but they are obviously
one information from ChatZilla. So let me try to break down the data you posted and how | interprete them:

"[INFO] Channel view for “#apache” opened."
Comment: this should be obvious. Imho not really needed as you have the regular join message and the topic and such things to identify your join.

-->| YOU (ZRegis) have joined #apache
Comment: the join message itself

[INFO] Conference Mode is enabled for this view; joins, leaves, quits and nickname changes are hidden.
Comment: those are only some features of ChatZilla. they indicate how and what messages to display: see also:
http://www.hacksrus.com/~ginda/chatzilla/fag/#conf-mode

=-= Topic for #apache is “Step one: Look in the error log || Podcasts: http:/feathercast.org/ ["] || Apache versions 2.2.9 (stable), 2.0.63 (old-stable),
1.3.41 (legacy) || Docs at http://httpd.apache.org/docs/2.2/ ["] || Paste to http://apache.pastebin.ca/ ["] || We're still not ##php”

=-= Topic for #apache was set by pquerna on samedi 14 juin 2008 01:10:35

Comment: the current topic and when it was set. this information is already provided by quassel

[INFQ] This channel requires that you have registered and identified yourself with the network's nickname registration services (e.g. NickServ). Please
see the documentation of this network's nickname registration services that should be found in the MOTD (/motd to display it).

Comment: currently | don't see how ChatZilla get's this information. This should probably be +r or +R channelmode, but Freenodes #apache has only
+tnclL

ChanServ [#apache] Welcome, this is #apache. Please read the in-channel topic message. This channel is being logged by IRSeekBot. If you have
any question please see http:/blog.freenode.net/?p=68 [*]
Comment: chanserv's welcome message: see BR #233

Could you please elaborate a bit more? The chanmodes themselves are already displayed in the tooltip of the channel item in the buffer view.

#4 - 12/28/2008 01:51 AM - Sputnick
- Priority changed from High to Normal

#5 - 03/03/2010 02:02 AM - johu
- Status changed from New to Closed
- Version set to 0.4.3

- OS set to Any

chan modes in tooltip
